﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WaterSim_Tester
{
    public partial class HelpAboutForm : Form
    {
        int FMode = 0; // 0 == help 1 == about 5 == Secret
        string Fversion = "";
        string FBuild = "";

       
        public HelpAboutForm(string Version, string Build) 
        {
            InitializeComponent();
            Fversion = Version;
            FBuild = Build;
            VersionLabel.Text = Version;
            BuildLabel.Text = Build;
            try
            {
                HelpRichTextBox.LoadFile("HelpFile.rtf");
            }
            catch
            {
                MessageBox.Show("Could not load HelpFile.rtf");
            }

        }
        public eHelpAboutMode Mode
        {

            get { return (eHelpAboutMode)FMode; }
            set
            {
                SetMode((int)value);
            }
        }
        //--------------------------------------------------
        protected void SetMode(int value)
        {
            switch (value)
            {
                case 0:
                    HelpPanel.Visible = true;
                    AboutPanel.Visible = false;
                    FMode = value;
                    break;
                case 1:
                    HelpPanel.Visible = false;
                    AboutPanel.Visible = true;
                    FMode = value;
                    break;
                case 5:
                    HelpPanel.Visible = false;
                    AboutPanel.Visible = false;
                     FMode = value;
                    break;
                default:
                    HelpPanel.Visible = false;
                    AboutPanel.Visible = false;
                    break;
            }
        }
        //---------------------------------------------------------------------
        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }
    } // HelpAboutCLass
//================================================================
    public enum eHelpAboutMode {haHelp,haAbout};
}
